<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Task 68 Country Region District</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">DevCamp 120</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">LinhLT</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="country.select.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Country Select</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="country.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Country CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="region.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Region CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="district.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>District CRUD</p>
                </a>
              </li>
            </ul>
          </li>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Country - Region - District Filter</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container">
        <h2 style="text-align: center;">Danh sách quốc gia</h2>
        
        <form id="inputform01" class="jumbotron container">
      
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="country">Quốc gia</label>
            </div>
            <div class="col-sm-3">
              <select id="country-select" name="country" class="form-control">
              </select>
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="region">Khu vực</label>
            </div>
            <div class="col-sm-3">
              <select id="region-select" disabled="" name="region" class="form-control">
              </select>
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="district">Quận huyện</label>
            </div>
            <div class="col-sm-3">
              <select id="district-select" disabled="" name="district" class="form-control">
              </select>
            </div>
          </div>
          <div class="row pull-right">
            <div class="col-sm-12">
              <input type="button" value="Send" class="btn btn-info" id="send-button">
            </div>
          </div>
        </form>
        <table class="table table-bordered table-striped table-hover" id="order-table">
          <thead>
            <tr>
             
            </tr>
        </table>
      </div>

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 1.0.0
    </div>
    <strong>Copyright &copy; 2023 <a href="">DevCamp 120</a>.</strong> All rights reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<script>
  "use strict";
  //Get data country
  $.ajax({
      url: "http://localhost:8080/country/all",
      method: "GET",
      success: function(pObjRes) {
        console.log(pObjRes);
        loadDataToCountrySelect(pObjRes);
      },
      error: function(paramErr) {
        console.log(paramErr.responseText);
      }
    });

    var gCountrySelectElement = $("#country-select");

    function loadDataToCountrySelect(pCountryList) {
      for (let i = 0; i < pCountryList.length; i++) {
        var bCountryOption = $("<option/>");
        bCountryOption.prop("value", pCountryList[i].id);
        bCountryOption.prop("text", pCountryList[i].name);
        gCountrySelectElement.append(bCountryOption);
      };
    }

    var gRegionSelectElement = $("#region-select");

    //callback function
    gCountrySelectElement.on("change", function () {
    gRegionSelectElement.html("");
    var bCountryId = $(this).val();

    getRegionsByCountryId(bCountryId);
    });

    //find region array by countryId
    function getRegionsByCountryId(pCountryId) {
      $.ajax({
        url: "http://localhost:8080/region/search?countryId=" + pCountryId,
        method: "GET",
        success: function(pObjRes) {
          console.log(pObjRes);
          loadDataToRegionSelect(pObjRes);
        },
        error: function(paramErr) {
          console.log(paramErr.responseText);
        }
      });
    }

    function loadDataToRegionSelect(pRegionList) {
      if (pRegionList.length > 0) {
        gRegionSelectElement.prop("disabled", false);

        for (let i = 0; i < pRegionList.length; i++) {
          var bRegionOption = $("<option/>");
          bRegionOption.prop("value", pRegionList[i].id);
          bRegionOption.prop("text", pRegionList[i].name);
          gRegionSelectElement.append(bRegionOption);
        };
      } else {
        gRegionSelectElement.prop("disabled", "disabled");
      }
    }
    //subtask 9
    var gDistrictSelectElement = $("#district-select");
    //xử lý sk on change
    gRegionSelectElement.on("change", function () {
    gDistrictSelectElement.html("");
    var bRegionId = $(this).val();

    getDistrictsByRegionId(bRegionId);
    });

    //find district array by regionId
    function getDistrictsByRegionId(pRegionId) {
      $.ajax({
        url: "http://localhost:8080/district/search?regionId=" + pRegionId,
        method: "GET",
        success: function(pObjRes) {
          console.log(pObjRes);
          loadDataToDistrictSelect(pObjRes);
        },
        error: function(paramErr) {
          console.log(paramErr.responseText);
        }
      });
    }

    function loadDataToDistrictSelect(pDistrictList) {
      if (pDistrictList.length > 0) {
        gDistrictSelectElement.prop("disabled", false);

        for (let i = 0; i < pDistrictList.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", pDistrictList[i].id);
          bDistrictOption.prop("text", pDistrictList[i].name);
          gDistrictSelectElement.append(bDistrictOption);
        };
      } else {
        gDistrictSelectElement.prop("disabled", "disabled");
      }
    }
</script>
</body>
</html>
